Bug 804280 - Crash during rebalance
Crash during rebalance
Status: CLOSED CURRENTRELEASE
Product: GlusterFS
Classification: Community
Component: core (Show other bugs)
mainline
x86_64 Linux
urgent Severity urgent
: ---
: ---
Assigned To: shishir gowda
:
Depends On:
Blocks: 817967
  Show dependency treegraph
 
Reported: 2012-03-17 06:11 EDT by shylesh
Modified: 2013-12-08 20:30 EST (History)
3 users (show)

See Also:
Fixed In Version: glusterfs-3.4.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-24 13:17:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions: 3.3.0qa36
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description shylesh 2012-03-17 06:11:24 EDT
Description of problem:
rebalance crashed while kernel untarring

Version-Release number of selected component (if applicable):
Mainline

How reproducible:


Steps to Reproduce:
1. crated a distribute volume with 2 bricks
2. start kernel untar on the mount point
3. add-brick and initiated rebalance 
  
Actual results:
rebalance process crashed

Expected results:


Additional info:

Core was generated by `/usr/local/sbin/glusterfs -s localhost --volfile-id volume1 --xlator-option *dh'.
Program terminated with signal 11, Segmentation fault.
#0  0x00007f10a879df41 in dht_selfheal_dir_xattr_persubvol (frame=0x7f10abd1d02c, loc=0x7f10a805e7e0, layout=0x7f109c040ed0, i=1) at dht-selfheal.c:179
179             STACK_WIND (frame, dht_selfheal_dir_xattr_cbk,

============================================================

(gdb) p subvol
$4 = (xlator_t *) 0x0

============================================================
(gdb) bt
#0  0x00007f10a879df41 in dht_selfheal_dir_xattr_persubvol (frame=0x7f10abd1d02c, loc=0x7f10a805e7e0, layout=0x7f109c040ed0, i=1) at dht-selfheal.c:179
#1  0x00007f10a879e0c4 in dht_fix_dir_xattr (frame=0x7f10abd1d02c, loc=0x7f10a805e7e0, layout=0x7f109c040ed0) at dht-selfheal.c:216
#2  0x00007f10a87a0183 in dht_fix_directory_layout (frame=0x7f10abd1d02c, dir_cbk=0x7f10a87b6b46 <dht_common_setxattr_cbk>, layout=0x13cf960)
    at dht-selfheal.c:800
#3  0x00007f10a87b8060 in dht_setxattr (frame=0x7f10abd1d02c, this=0x13b8600, loc=0x7f10a1526390, xattr=0x13805f8, flags=0) at dht-common.c:2299
#4  0x00007f10acf31da7 in syncop_setxattr (subvol=0x13b8600, loc=0x7f10a1526390, dict=0x13805f8, flags=0) at syncop.c:717
#5  0x00007f10a879cb55 in gf_defrag_fix_layout (this=0x13b8600, defrag=0x13cf5e0, loc=0x7f10a1526590, fix_layout=0x13805f8, migrate_data=0x13806a0)
    at dht-rebalance.c:1355
#6  0x00007f10a879cc00 in gf_defrag_fix_layout (this=0x13b8600, defrag=0x13cf5e0, loc=0x7f10a1526790, fix_layout=0x13805f8, migrate_data=0x13806a0)
    at dht-rebalance.c:1364
#7  0x00007f10a879cc00 in gf_defrag_fix_layout (this=0x13b8600, defrag=0x13cf5e0, loc=0x7f10a1526990, fix_layout=0x13805f8, migrate_data=0x13806a0)
    at dht-rebalance.c:1364
#8  0x00007f10a879cc00 in gf_defrag_fix_layout (this=0x13b8600, defrag=0x13cf5e0, loc=0x7f10a1526b90, fix_layout=0x13805f8, migrate_data=0x13806a0)
    at dht-rebalance.c:1364
#9  0x00007f10a879cc00 in gf_defrag_fix_layout (this=0x13b8600, defrag=0x13cf5e0, loc=0x7f10a1526d90, fix_layout=0x13805f8, migrate_data=0x13806a0)
    at dht-rebalance.c:1364
#10 0x00007f10a879cc00 in gf_defrag_fix_layout (this=0x13b8600, defrag=0x13cf5e0, loc=0x7f10a1526f30, fix_layout=0x13805f8, migrate_data=0x13806a0)
    at dht-rebalance.c:1364
#11 0x00007f10a879d0df in gf_defrag_start_crawl (data=0x13b8600) at dht-rebalance.c:1471
#12 0x00007f10acf2eec2 in synctask_wrap (old_task=0x7f109c0008e0) at syncop.c:128
Comment 1 Anand Avati 2012-03-19 08:46:59 EDT
CHANGE: http://review.gluster.com/2970 (cluster/dht: Prevent crash in dir xattr selfheal) merged in master by Vijay Bellur (vijay@gluster.com)
Comment 2 shylesh 2012-04-20 06:04:05 EDT
works fine on 3.3.0qa36

Note You need to log in before you can comment on or make changes to this bug.